org.apache.ignite.spi.systemview.view.sql

## Class SqlViewView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.sql.SqlViewView

    public class SqlViewView
    extends Object

Sql view representation for a `SystemView`.

### Constructor Summary

Constructors
Constructor and Description
`SqlViewView(SystemView<?> view)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `description()`
`String` `name()`
`String` `schema()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlViewView

    public SqlViewView(SystemView<?> view)

Parameters:
  `view` - System view.

### Method Detail

#### name

    public String name()

Returns:
  View name.

#### description

    public String description()

Returns:
  View description.

#### schema

    public String schema()

Returns:
  View schema.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023